> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.dockstyle.md).

# DockStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Specifies the position and manner in which a control is docked.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DockStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DockStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                                            |
| ---------- | ------------------------------------------------------------------------------------------------------ |
| **Bottom** | The control's bottom edge is docked to the bottom of its containing control.                           |
| **Fill**   | All the control's edges are docked to the all edges of its containing control and sized appropriately. |
| **Left**   | The control's left edge is docked to the left edge of its containing control.                          |
| **None**   | The control is not docked.                                                                             |
| **Right**  | The control's right edge is docked to the right edge of its containing control.                        |
| **Top**    | The control's top edge is docked to the top of its containing control.                                 |

## Used By

| Name                                                                                                                  | Description                                                                                                                            |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| [Control.Dock](/api/v3.0/wisej.web/general/control.md#dock)                                                           | Returns or sets which control borders are docked to its parent control and determines how a control is resized with its parent.        |
| [Control.LayoutChildren](/api/v3.0/wisej.web/general/control.md#layoutchildren-dock-spacing-usemargins-halign-valign) | Arranges all the child [Control](/api/v3.0/wisej.web/general/control.md) using the specified *dock* style, spaced by *spacing* pixels. |
| [Desktop.Dock](/api/v3.0/wisej.web/containers/desktop.md#dock)                                                        | Returns or sets which control borders are docked to its parent control and determines how a control is resized with its parent.        |
| [MenuBar.Dock](/api/v3.0/wisej.web/menus/wisej.web.menubar.md#dock)                                                   |                                                                                                                                        |
| [StatusBar.Dock](/api/v3.0/wisej.web/containers/statusbar.md#dock)                                                    | Returns or sets the docking behavior of the [StatusBar](/api/v3.0/wisej.web/containers/statusbar.md) control.                          |
| [ToolBar.Dock](/api/v3.0/wisej.web/containers/toolbar.md#dock)                                                        |                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.dockstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
